<main>

    <div class="dashboard-container">

        <!-- sidebar -->
        <aside id="sideBarUser">

            <!-- header sidebar -->
            <div class="header-user">

                <div class="logo-wrapper">
                </div>
                <div class="profil-picture no-picture">
                    <a href="#">
                        <div class="no-picture-wrapper">
                            <i class="fas fa-upload"></i>
                            <p>Ajouter une photo</p>
                        </div>
                    </a>
                </div>
                <h3>Daniel</h3>

            </div>

            <!-- menu -->
            <nav>
                <ul>
                    <li>
                        <a routerLink="/dashboard-monitoring" routerLinkActive="active">
                            <i class="fas fa-camera-retro"></i>
                            monitoring
                        </a>
                    </li>
                    <li>
                        <a routerLink="/" routerLinkActive="active">
                            <i class="far fa-comments"></i>
                            messagerie
                        </a>
                    </li>
                    <li class="active">
                        <a routerLink="/dashboard" routerLinkActive="active">
                            <i class="fas fa-user-circle"></i>
                            informations
                        </a>
                    </li>
                    <li>
                        <a routerLink="/dashboard-preferences" routerLinkActive="active">
                            <i class="fas fa-cog"></i>
                            préférences
                        </a>
                    </li>
                </ul>
            </nav>

            <div class="footer-user">
                <button (click)="Deconnexion()" type="button" name="button" class="btn btn-reset">
                    <i class="fas fa-power-off"></i>
                    déconnexion
                </button>
            </div>

        </aside>

        <!-- right content -->
        <div id="mainContent">

            <!-- title dashboard -->
            <div class="title-dashboard">
                <h2>Mes informations</h2>
            </div>

            <div class="button-group">
                <button routerLink="/user/update" routerLinkActive="active" type="button" class="btn btn-transparent btn-border--blue">
                    <i class="fas fa-edit"></i>
                    modifier mes informations
                </button>
                <button type="button" class="btn btn-green">
                    <i class="fas fa-camera-retro"></i>
                    modifier ma photo
                </button>
            </div>

            <!-- infos users -->
            <div *ngFor="let user of users" class="user-info-wrapper">

                <div class="white-card mh">
                    <div class="info-user-line">
                        <label>Nom:</label>
                        <span>{{user.lastname}}</span>
                    </div>
                    <div class="info-user-line">
                        <label>Prénom:</label>
                        <span>{{user.firstname}}</span>
                    </div>
                </div>

                <div class="white-card mh">
                    <div class="info-user-line">
                        <label>Adresse: </label>
                        <span>{{user.address}}</span>
                    </div>
                    <div class="info-user-line">
                        <label>Téléphone: </label>
                        <span>{{user.number}}</span>
                    </div>
                    <div class="info-user-line">
                        <label>Mail: </label>
                        <span>{{user.email}}</span>
                    </div>
                </div>
            </div>

            <div class="py-5">
                <button routerLink="/user/update/mdp" routerLinkActive="active" type="button" class="btn btn-squared btn-blue" data-toggle="modal" data-target="#modalPhoto">
                    <i class="fas fa-key"></i>
                    modifier mon mot de passe
                </button>

            </div>

        </div>

    </div>

</main>